/****************************************************************************
** Form interface generated from reading ui file './kdarConfigureDlg.ui'
**
** Created: Sun Mar 30 09:29:31 2008
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef KDARCONFIGUREDLG_H
#define KDARCONFIGUREDLG_H

#include <qvariant.h>
#include <qdialog.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QGroupBox;
class KListBox;
class QListBoxItem;
class QWidgetStack;
class QWidget;
class QButtonGroup;
class QCheckBox;
class QLabel;
class KURLRequester;
class QRadioButton;
class KFontRequester;
class KComboBox;
class QLineEdit;
class QComboBox;
class KLineEdit;
class QSpinBox;
class QListView;
class QListViewItem;
class QPushButton;
class KIntNumInput;

class kdarConfigureDlg : public QDialog
{
    Q_OBJECT

public:
    kdarConfigureDlg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~kdarConfigureDlg();

    QGroupBox* groupBox29;
    KListBox* configModulesKListBox;
    QWidgetStack* configureWidgetStack;
    QWidget* General;
    QButtonGroup* generalButtonGroup;
    QCheckBox* verboseOutputCheckBox;
    QCheckBox* useCreateArchiveWizardCheckBox;
    QCheckBox* showKDarSplashCheckBox;
    QCheckBox* extractAllowOverwriteCheckBox;
    QCheckBox* extractWarnOverwriteCheckBox;
    QLabel* textLabel1_3;
    KURLRequester* archiveStorageDirKURLRequester;
    QButtonGroup* logLevelButtonGroup;
    QRadioButton* logNoneRadioButton;
    QRadioButton* logBasicRadioButton;
    QRadioButton* logFullRadioButton;
    QLabel* textLabel2_3;
    KURLRequester* logFileKURLRequester;
    QWidget* Fonts;
    QGroupBox* groupBox10;
    KFontRequester* messageWindowKFontRequester;
    KFontRequester* fileBrowserKFontRequester;
    KFontRequester* generalKFontRequester;
    QLabel* textLabel1_2;
    KFontRequester* statusBarKFontRequester;
    QLabel* textLabel2_2;
    QLabel* textLabel4;
    QLabel* textLabel3;
    QWidget* Slicing;
    QGroupBox* groupBox8;
    QCheckBox* splitArchiveCheckBox;
    QLabel* textLabel6_2_2_2;
    KComboBox* mediaTypeKComboBox;
    QLabel* textLabel6_3_2;
    QLabel* textLabel7_2_2;
    QLineEdit* sliceSizeLineEdit;
    QComboBox* sliceSizeComboBox;
    QLineEdit* firstSliceSizeLineEdit;
    QComboBox* firstSliceSizeComboBox;
    QCheckBox* pauseCheckBox;
    QGroupBox* groupBox3;
    KLineEdit* commandBetweenSliceCreationKLineEdit;
    QWidget* Compression;
    QButtonGroup* compressionButtonGroup_2;
    QRadioButton* bzip2RadioButton;
    QRadioButton* gzipRadioButton;
    QLabel* gzipTextLabel;
    QSpinBox* compressionLevelSpinBox;
    QRadioButton* noneRadioButton;
    QGroupBox* groupBox5;
    QComboBox* compressionTypeComboBox;
    QLabel* textLabel1_3_3;
    QListView* compressionFiltersListView;
    QPushButton* newCompressionFilterButton;
    QPushButton* editCompressionFilterButton;
    QPushButton* removeCompressionFilterButton;
    QPushButton* removeAllCompressionFilterButton;
    QLabel* minCompressiontextLabel_2_2;
    QSpinBox* minCompressionSizeSpinBox;
    QWidget* Directories;
    QGroupBox* groupBox12;
    QListView* directoryFiltersListView;
    QPushButton* newDirectoryFilterButton;
    QPushButton* editDirectoryFilterButton;
    QPushButton* removeDirectoryFilterButton;
    QPushButton* removeAllDirectoryFilterButton;
    QCheckBox* keepPrunedCheckBox;
    QWidget* Files;
    QGroupBox* groupBox14;
    QComboBox* fileTypeComboBox;
    QLabel* textLabel1_3_2;
    QListView* fileFiltersListView;
    QPushButton* newFileFilterButton;
    QPushButton* editFileFilterButton;
    QPushButton* removeFileFilterButton;
    QPushButton* removeAllFileFilterButton;
    QWidget* Filesystem;
    QButtonGroup* buttonGroup2;
    QCheckBox* userEACheckBox;
    QCheckBox* systemEACheckBox;
    QCheckBox* ignoreIDCheckBox;
    QCheckBox* ignoreDumpCheckBox;
    QWidget* Comparison;
    QGroupBox* groupBox13;
    QLabel* textLabel1;
    QSpinBox* hourShiftBox;
    QWidget* Restore;
    QGroupBox* groupBox9;
    QCheckBox* extractNoDeleteCheckBox;
    QCheckBox* extractMostRecentCheckBox;
    QCheckBox* extractFlatCheckBox;
    QWidget* Crypto;
    QGroupBox* encryptionGroupBox;
    QLabel* encryptionAlgorithmTextLabel;
    KComboBox* cryptoAlgorithmKComboBox;
    QLabel* encryptionBlockSizeTextLabel;
    KIntNumInput* cryptoBlockSizeKIntNumInput;
    QGroupBox* passwordGroupBox;
    QCheckBox* cryptoStorePasswordCheckBox;
    QPushButton* changePasswordPushButton;
    QPushButton* configureButtonHelp;
    QPushButton* configureButtonOk;
    QPushButton* configureButtonCancel;

public slots:
    virtual void slotLogLevelNone( bool );
    virtual void slotHelp();
    virtual void slotVerbose( bool );
    virtual void slotLogFile( const QString & );
    virtual void slotWarnOnOverwrite( bool );
    virtual void slotUserEA( bool );
    virtual void slotSystemEA( bool );
    virtual void slotIgnoreID( bool );
    virtual void slotNoDelete( bool );
    virtual void slotRestoreRecent( bool );
    virtual void slotFlatRestore( bool );
    virtual void slotUseCreateArchiveWizard( bool );
    virtual void slotSplitArchive( bool );
    virtual void slotPauseBetweenSlices( bool );
    virtual void slotKeepPruned( bool );
    virtual void slotIgnoreDump( bool );
    virtual void slotMedia( int );
    virtual void slotSliceSizeSuffix( int );
    virtual void slotFirstSliceSizeSuffix( int );
    virtual void slotCompressionAlgorithm( int );
    virtual void slotCompressionLevel( int );
    virtual void slotMinimumCompressionSizeInt( int );
    virtual void slotHourShiftInt( int );
    virtual void slotCompressionMaskType( int );
    virtual void slotFileMaskType( int );
    virtual void slotCompressionAlgorithmGZip( bool );
    virtual void slotCompressionAlgorithmNone( bool );
    virtual void slotNewCompressionFilter();
    virtual void slotEditCompressionFilter();
    virtual void slotRemoveCompressionFilter();
    virtual void slotRemoveAllCompressionFilter();
    virtual void slotNewDirectoryFilter();
    virtual void slotEditDirectoryFilter();
    virtual void slotRemoveDirectoryFilter();
    virtual void slotRemoveAllDirectoryFilter();
    virtual void slotNewFileFilter();
    virtual void slotEditFileFilter();
    virtual void slotRemoveFileFilter();
    virtual void slotRemoveAllFileFilter();
    virtual void slotArchiveName( const QString &);
    virtual void slotArchiveStorageDirectory( const QString &);
    virtual void slotInputPipe( const QString &);
    virtual void slotOutputPipe( const QString &);
    virtual void slotExecuteCommand( const QString &);
    virtual void slotCryptoPassword( const QString &);
    virtual void slotExecuteRef( const QString &);
    virtual void slotPassRef( const QString &);
    virtual void slotSliceSizeString( const QString &);
    virtual void slotFirstSliceSizeString( const QString &);
    virtual void slotCompressionAlgorithmBZip2( bool );
    virtual void slotGeneralFont(const QFont &);
    virtual void slotFileBrowserFont( const QFont &);
    virtual void slotMessageWindowFont( const QFont & );
    virtual void slotStatusBarFont( const QFont & );
    virtual void slotRaiseWidgetStack( const QString & );
    virtual void slotEditSliceSizeString( const QString & );
    virtual void slotEditSliceSizeSuffix( int );
    virtual void slotKDarSplashScreen( bool );
    virtual void slotAllowOverwrite( bool );
    virtual void slotLogLevelBasic( bool );
    virtual void slotLogLevelFull( bool );
    virtual void slotCryptoAlgorithm( int );
    virtual void slotCryptoBlockSize( int );
    virtual void slotStorePassword( bool );
    virtual void slotChangePassword();

protected:
    QVBoxLayout* kdarConfigureDlgLayout;
    QHBoxLayout* layout152;
    QVBoxLayout* groupBox29Layout;
    QVBoxLayout* GeneralLayout;
    QSpacerItem* spacer93;
    QVBoxLayout* generalButtonGroupLayout;
    QHBoxLayout* layout29;
    QSpacerItem* spacer11;
    QHBoxLayout* wizardQHBox;
    QSpacerItem* wizardSpacer1;
    QHBoxLayout* splashQHBox;
    QSpacerItem* spacer27;
    QHBoxLayout* layout42;
    QSpacerItem* spacer38_2;
    QHBoxLayout* layout43;
    QSpacerItem* spacer39_2;
    QSpacerItem* spacer40;
    QVBoxLayout* layout35;
    QVBoxLayout* logLevelButtonGroupLayout;
    QHBoxLayout* layout37;
    QVBoxLayout* layout36;
    QVBoxLayout* FontsLayout;
    QVBoxLayout* groupBox10Layout;
    QSpacerItem* spacer20_3;
    QGridLayout* layout17;
    QSpacerItem* spacer24;
    QSpacerItem* spacer23_3;
    QSpacerItem* spacer22_2;
    QSpacerItem* spacer21_2;
    QVBoxLayout* SlicingLayout;
    QSpacerItem* spacer84_2;
    QVBoxLayout* groupBox8Layout;
    QHBoxLayout* layout56_2;
    QSpacerItem* spacer63_2;
    QHBoxLayout* layout142;
    QHBoxLayout* layout151;
    QVBoxLayout* layout149;
    QHBoxLayout* layout148;
    QSpacerItem* spacer21_2_3;
    QVBoxLayout* layout150;
    QHBoxLayout* layout145;
    QHBoxLayout* layout143;
    QHBoxLayout* layout57_2;
    QSpacerItem* spacer64_2;
    QGridLayout* groupBox3Layout;
    QVBoxLayout* CompressionLayout;
    QVBoxLayout* compressionButtonGroup_2Layout;
    QHBoxLayout* bzip2QHBox;
    QSpacerItem* bzip2Spacer;
    QHBoxLayout* gzipQHBox1;
    QSpacerItem* gzipSpacer1;
    QHBoxLayout* gzipQHBox2;
    QSpacerItem* gzipSpacer2;
    QSpacerItem* gzipSpacer3;
    QHBoxLayout* layout32;
    QSpacerItem* spacer28;
    QVBoxLayout* groupBox5Layout;
    QHBoxLayout* layout40_3;
    QHBoxLayout* layout64_3;
    QVBoxLayout* layout16_3;
    QSpacerItem* spacer4_2_2_3;
    QHBoxLayout* layout61_2;
    QVBoxLayout* DirectoriesLayout;
    QVBoxLayout* groupBox12Layout;
    QHBoxLayout* layout73;
    QVBoxLayout* layout11_3;
    QSpacerItem* spacer4_2_4;
    QHBoxLayout* layout4;
    QSpacerItem* spacer23_4;
    QVBoxLayout* FilesLayout;
    QVBoxLayout* groupBox14Layout;
    QHBoxLayout* layout40_2;
    QHBoxLayout* layout64_2;
    QVBoxLayout* layout16_2;
    QSpacerItem* spacer4_2_2_2;
    QVBoxLayout* FilesystemLayout;
    QVBoxLayout* buttonGroup2Layout;
    QSpacerItem* spacer83;
    QHBoxLayout* layout68;
    QSpacerItem* spacer11_2;
    QHBoxLayout* layout69;
    QSpacerItem* spacer11_3;
    QHBoxLayout* layout70;
    QSpacerItem* spacer11_4;
    QHBoxLayout* layout5;
    QSpacerItem* spacer23_2;
    QVBoxLayout* ComparisonLayout;
    QVBoxLayout* groupBox13Layout;
    QSpacerItem* spacer3;
    QHBoxLayout* layout2;
    QSpacerItem* spacer2;
    QVBoxLayout* RestoreLayout;
    QVBoxLayout* groupBox9Layout;
    QSpacerItem* spacer2_2;
    QVBoxLayout* CryptoLayout;
    QSpacerItem* spacer43;
    QVBoxLayout* encryptionGroupBoxLayout;
    QHBoxLayout* layout48;
    QSpacerItem* spacer41;
    QHBoxLayout* layout49;
    QSpacerItem* spacer42;
    QVBoxLayout* passwordGroupBoxLayout;
    QHBoxLayout* layout51;
    QSpacerItem* spacer44;
    QHBoxLayout* layout45;
    QSpacerItem* spacer38;
    QSpacerItem* spacer39;
    QHBoxLayout* Layout1;
    QSpacerItem* Horizontal_Spacing2;

protected slots:
    virtual void languageChange();

};

#endif // KDARCONFIGUREDLG_H
